<bugID>1110678<Summary>Re-implement Ctrl+up/down and Alt+up/down in the search field</Summary><Description>After some discussions, here's what we can do to allow for advanced keyboard shortcuts in the search field with the new UI:

Ctrl+up/down does two things:
- it opens the suggestions dropdown if it isn't visible yet
- it cycles through the default search engines (actually sets the default) and reflects that change in the suggestions header

Alt+up/down:
- opens the dropdown
- cycles through the one-click buttons (just like tab would)

Both actions only apply if the cursor is in the search field.</Description></bugID>